Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've just deployed maas and juju in my saucy installation. And I found there are no charms for saucy. I think I need to include cs:precise for all charms. Why? Saucy is now released.

share|improve this question
    
I'm bored of getting:Error: cs:saucy/juju-gui not found in charm store. No matter what I do... –  Gonzalo Aguilar Delgado Nov 23 '13 at 11:40
add comment

1 Answer 1

Most charm authors only release charms under the LTS release unless the charm is not functional on the non-LTS releases. If you are having an issue deploying a charm under saucy your best bet is to contact the charm author for an update. Since charms are designed for software deployments in production environments we recommend using an LTS.

Saucy only has a support life of nine months, while LTS releases will be supported for over 5 years. As such, server deployments (and by association, charms) are targeted at LTS releases of Ubuntu (precise, trusty). Charm authors can choose to provide versions of charms for other Ubuntu releases, but it's not a requirement.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.